# $Revision: 1.9 $, $Date: 2003/04/06 16:26:16 $
Summary:	Remote clock reader (and local setter) - NetBSD version
Summary(pl):	Program podajcy (i ustawiajcy) zdalny czas zegara - wersja z NetBSD
Name:		rdate-bsd
Version:	1.4
Release:	5
License:	BSD
Group:		Networking/Utilities
Source0:	ftp://ftp.debian.org/pub/debian/pool/r/rdate/rdate_%{version}.orig.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.cron
Patch0:		%{name}-debian.patch
Requires(post,preun):	/sbin/chkconfig
Provides:	rdate
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	rdate

%description
rdate is a program that can retrieve the time from another machine on
your network. If run as root, it will also set your local time to that
of the machine you queried. It is not super accurate; get ntpd if you
are really worried about milliseconds.

This version was taken from NetBSD and it has useful '-a' option,
which causes using adjtimex() call to gradually skew the local time
to the remote time rather than just hopping.

%description -l pl
rdate jest programem ktry odczytuje dat i godzin z innej maszyny w
sieci. Jeeli jest uruchamiany jako root moe take suy do
synchronizacji lokalnego czasu wzgldem innego komputera w sieci. Nie
jest zbyt dokadny i jeeli milisekundy maj dla nas znaczenie naley
uy ntpd.

Ta wersja pochodzi z NetBSD i ma przydatn opcj '-a', ktra powoduje
uywanie wywoania adjtimex() w celu stopniowej zmiany czasu lokalnego
na odczytany zdalnie zamiast przeskoku.

%prep
%setup -q -n rdate-%{version}.orig
%patch -p1

%build
%{__cc} -o rdate %{rpmldflags} %{rpmcflags} -Dprogram_invocation_short_name=\"rdate\" -Dlint rdate.c -lutil

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/{rc.d/init.d,sysconfig,cron.daily}}

install rdate $RPM_BUILD_ROOT%{_sbindir}
install rdate.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/rdate
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rdate
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/rdate

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rdate

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del rdate
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/rdate
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/rdate
%attr(755,root,root) %{_sysconfdir}/cron.daily/rdate
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/rdate
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rdate-bsd.spec,v $
Revision 1.9  2003/04/06 16:26:16  blues
- release 5 - rebuild with corrected order of runnign

Revision 1.8  2003/04/05 19:31:44  kloczek
- cosmetics.

Revision 1.7  2003/04/01 08:27:01  qboosh
- let's use its features - allow using -a, do it by default
- release 4 (but please test first...)

Revision 1.6  2003/03/31 07:07:27  blues
- typo

Revision 1.5  2003/03/31 06:51:48  blues
- release 3; added cronjob (based on rdate.spec)

Revision 1.4  2003/02/16 17:50:17  qboosh
- Requires(): chkconfig

Revision 1.3  2003/02/16 12:12:03  blues
- release 2 - added init scripts like in rdate.spec

Revision 1.2  2003/02/14 10:28:53  qboosh
- fixed License (too much copy-paste from rdate.spec)

Revision 1.1  2003/02/14 10:28:01  qboosh
- rdate from NetBSD based on Debian port
